<div class="flex flex-col h-full">
  <app-heading
    [display]="HEADLINE"
    [level]="1"
    text="Developer Domain"
  ></app-heading>
  <app-paragraph>
    {{ greeting }}
    This is the Developer Domain. It is your hub for viewing information about
    and managing your projects.
  </app-paragraph>
  <article *ngIf="!hasProjects" class="flex-1">
    <app-content-box
      className="flex flex-col h-1/6 justify-between mt-[30vh] ml-[20%] w-2/5"
    >
      <app-paragraph>
        Hmmm... it seems you do not have any projects (yet).
      </app-paragraph>
      <div>
        <a routerLink="/developer/project/new" tabindex="-1">
          <app-button
            [leadingIcon]="PLUS_ICON"
            text="Let's Fix That"
          ></app-button>
        </a>
      </div>
    </app-content-box>
  </article>
  <article *ngIf="hasProjects">
    <app-heading
      className="!my-3"
      [display]="TITLE"
      [level]="2"
      text="Recent Projects"
    ></app-heading>
    <section class="grid grid-cols-8 gap-8">
      <article
        *ngFor="let project of projects"
        class="before:absolute before:bg-gray-800 before:content-[''] before:block before:h-full before:hover:opacity-100 before:inset-0 before:opacity-0 before:transition-opacity before:w-full before:-z-10 bg-gradient-to-r border border-gray-800 cursor-pointer from-gray-900 from-20% p-4 relative rounded-lg select-none to-gray-800 z-10"
      >
        <a [routerLink]="['/developer/project', project.id]">
          <app-heading
            [display]="SUBTITLE"
            [level]="3"
            [text]="project.name"
          ></app-heading>
        </a>
      </article>
    </section>
  </article>
</div>
